<?php

/*
 * @version		$Id: skin.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class HdwplayerModelSkin extends JModelLegacy {

	function __construct() {
		parent::__construct();
    }
	
	function getdata()
    {
         $db     = JFactory::getDBO();
         
         $query  = "SELECT * FROM #__hdwplayer_skin";
         $db->setQuery( $query );
         $skin   = $db->loadObjectList();
		 
         $this->createXml($skin);
	}
	
	function createXml($skin)
	{
		$br = "\n";	
		ob_clean();
		header("content-type:text/xml;charset=utf-8");
		echo '<?xml version="1.0" encoding="utf-8"?>'.$br;
		echo '<skin>'.$br;
		echo $this->skinNodes($skin[0]);
		echo '</skin>'.$br;
		exit();
	}
	
	function skinNodes($datas)
	{
		$br = "\n";
		
		$node = '<controlbar><display>'.$this->castAsBoolean($datas->controlbar).'</display></controlbar>'.$br;
		$node.= '<playpause><display>'.$this->castAsBoolean($datas->playpause).'</display></playpause>'.$br;
		$node.= '<progressbar><display>'.$this->castAsBoolean($datas->progressbar).'</display></progressbar>'.$br;
		$node.= '<timer><display>'.$this->castAsBoolean($datas->timer).'</display></timer>'.$br;
		$node.= '<share><display>'.$this->castAsBoolean($datas->share).'</display></share>'.$br;
		$node.= '<volume><display>'.$this->castAsBoolean($datas->volume).'</display></volume>'.$br;
		$node.= '<fullscreen><display>'.$this->castAsBoolean($datas->fullscreen).'</display></fullscreen>'.$br;
		$node.= '<playdock><display>'.$this->castAsBoolean($datas->playdock).'</display></playdock>'.$br;
		$node.= '<videogallery><display>'.$this->castAsBoolean($datas->videogallery).'</display></videogallery>'.$br;
		
		return $node;		
	}
	
	function castAsBoolean($val){
		if($val == 1) {
	    	return 'true';
		} else {
			return 'false';
		}
	}

}

?>